<?php

namespace Drupal\environment_indicator_header\Service;

use Drupal\Core\State\StateInterface;

/**
 * Service to get the current release.
 */
class CurrentReleaseService {

  /**
   * The state service.
   *
   * @var \Drupal\Core\State\StateInterface
   */
  protected $state;

  /**
   * The service constructor.
   *
   * @param \Drupal\Core\State\StateInterface $state
   *   The state service.
   */
  public function __construct(StateInterface $state) {
    $this->state = $state;
  }

  /**
   * Get the current release.
   *
   * @return string
   *   The current release.
   */
  public function getCurrentRelease(): string {
    return $this->state->get('environment_indicator.current_release', '');
  }

}
